<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RRouteGroup StructType
 * @subpackage Structs
 */
class RRouteGroup extends AbstractStructBase
{
    /**
     * The dialPlanWizardGenld
     * Meta information extracted from the WSDL
     * - documentation: Read-only.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $dialPlanWizardGenld;
    /**
     * The distributionAlgorithm
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $distributionAlgorithm;
    /**
     * The members
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\Members
     */
    public $members;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RRouteGroup
     * @uses RRouteGroup::setDialPlanWizardGenld()
     * @uses RRouteGroup::setDistributionAlgorithm()
     * @uses RRouteGroup::setMembers()
     * @uses RRouteGroup::setName()
     * @uses RRouteGroup::setUuid()
     * @param string $dialPlanWizardGenld
     * @param string $distributionAlgorithm
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Members $members
     * @param string $name
     * @param string $uuid
     */
    public function __construct($dialPlanWizardGenld = null, $distributionAlgorithm = null, \\Losc\CucmBundle\Model\Webservice\StructType\Members $members = null, $name = null, $uuid = null)
    {
        $this
            ->setDialPlanWizardGenld($dialPlanWizardGenld)
            ->setDistributionAlgorithm($distributionAlgorithm)
            ->setMembers($members)
            ->setName($name)
            ->setUuid($uuid);
    }
    /**
     * Get dialPlanWizardGenld value
     * @return string|null
     */
    public function getDialPlanWizardGenld()
    {
        return $this->dialPlanWizardGenld;
    }
    /**
     * Set dialPlanWizardGenld value
     * @param string $dialPlanWizardGenld
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRouteGroup
     */
    public function setDialPlanWizardGenld($dialPlanWizardGenld = null)
    {
        $this->dialPlanWizardGenld = $dialPlanWizardGenld;
        return $this;
    }
    /**
     * Get distributionAlgorithm value
     * @return string|null
     */
    public function getDistributionAlgorithm()
    {
        return $this->distributionAlgorithm;
    }
    /**
     * Set distributionAlgorithm value
     * @param string $distributionAlgorithm
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRouteGroup
     */
    public function setDistributionAlgorithm($distributionAlgorithm = null)
    {
        $this->distributionAlgorithm = $distributionAlgorithm;
        return $this;
    }
    /**
     * Get members value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Members|null
     */
    public function getMembers()
    {
        return $this->members;
    }
    /**
     * Set members value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Members $members
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRouteGroup
     */
    public function setMembers(\\Losc\CucmBundle\Model\Webservice\StructType\Members $members = null)
    {
        $this->members = $members;
        return $this;
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRouteGroup
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRouteGroup
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
